Get an invoice
curl --request GET \
--url https://api.paymentsmojo.com/payment-requests/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.paymentsmojo.com/payment-requests/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paymentsmojo.com/payment-requests/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchantAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mid": "<string>",
"locationName": "<string>",
"invoiceNumber": "<string>",
"poNumber": "<string>",
"amount": 123,
"amountPaid": 123,
"balance": 123,
"customerName": "<string>",
"customerCompany": "<string>",
"customerEmail": "<string>",
"customerPhone": "<string>",
"delivery": "<string>",
"sentVia": "<string>",
"sentAt": "2023-11-07T05:31:56Z",
"sendProblem": "<string>",
"memo": "<string>",
"dueDate": "2023-11-07T05:31:56Z",
"lines": 123,
"status": "<string>",
"failedAttempts": 123,
"problem": "<string>",
"paidAt": "2023-11-07T05:31:56Z",
"level3Sent": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdByName": "<string>",
"cancelledAt": "2023-11-07T05:31:56Z",
"cancelledByName": "<string>",
"link": "<string>",
"lineItems": [
{
"description": "<string>",
"quantity": 123,
"unitCost": 123,
"uom": "<string>",
"commodityCode": "<string>",
"upc": "<string>"
}
],
"payments": [
{
"amount": 123,
"retRef": "<string>",
"lastFour": "<string>",
"payerName": "<string>",
"paidAt": "2023-11-07T05:31:56Z",
"level3Sent": true,
"savedCard": true
}
],
"savedCards": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cardBrand": "<string>",
"lastFour": "<string>",
"expiry": "<string>",
"savedAt": "2023-11-07T05:31:56Z",
"savedByName": "<string>"
}
],
"customerPrefers": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"errors": {}
}Invoices
Get an invoice
One invoice payment request, with its lines, the payments made toward it, the customer’s saved cards and how the customer asked to get invoices.
GET
/
payment-requests
/
{id}
Get an invoice
Authorizations
An access token from POST /oauth/token (your API key's id and secret). It lasts 10 minutes.
Path Parameters
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes